in scala.compat
class StringBuilder

`final class` StringBuilder
  `extends` java.lang.Object
  `with` scala.ScalaObject

Constructor Summary
| `def` this
| `def` this (n: scala.Int)
| `def` this (s: java.lang.String)
| `def` this (str: java.lang.StringBuffer)

Def Summary
| `def` append (x: java.lang.String) : scala.compat.StringBuilder
| `def` append (x: scala.Any) : scala.compat.StringBuilder
| `def` append (x: scala.Array[scala.Char]) : scala.compat.StringBuilder
| `def` append (x: scala.Array[scala.Char], start: scala.Int, length: scala.Int) : scala.compat.StringBuilder
| `def` append (x: scala.Boolean) : scala.compat.StringBuilder
| `def` append (x: scala.Byte) : scala.compat.StringBuilder
| `def` append (x: scala.Char) : scala.compat.StringBuilder
| `def` append (x: scala.Double) : scala.compat.StringBuilder
| `def` append (x: scala.Float) : scala.compat.StringBuilder
| `def` append (x: scala.Int) : scala.compat.StringBuilder
| `def` append (x: scala.Long) : scala.compat.StringBuilder
| `def` append (x: scala.Short) : scala.compat.StringBuilder
| `def` charAt (i: scala.Int) : scala.Char
| `def` insert (at: scala.Int, x: java.lang.String) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Any) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Array[scala.Char]) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Array[scala.Char], start: scala.Int, length: scala.Int) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Boolean) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Byte) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Char) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Double) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Float) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Int) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Long) : scala.compat.StringBuilder
| `def` insert (at: scala.Int, x: scala.Short) : scala.compat.StringBuilder
| `def` length : scala.Int
| `def` setCharAt (index: scala.Int, c: scala.Char) : scala.Unit
| `def` setLength (i: scala.Int) : scala.Unit
`override` | `def` toString : java.lang.String

Constructor Detail

`def` this

`def` this (n: scala.Int)

`def` this (s: java.lang.String)

`def` this (str: java.lang.StringBuffer)

Def Detail

`def` append (x: java.lang.String): scala.compat.StringBuilder

`def` append (x: scala.Any): scala.compat.StringBuilder

`def` append (x: scala.Array[scala.Char]): scala.compat.StringBuilder

`def` append (x: scala.Array[scala.Char], start: scala.Int, length: scala.Int): scala.compat.StringBuilder

`def` append (x: scala.Boolean): scala.compat.StringBuilder

`def` append (x: scala.Byte): scala.compat.StringBuilder

`def` append (x: scala.Char): scala.compat.StringBuilder

`def` append (x: scala.Double): scala.compat.StringBuilder

`def` append (x: scala.Float): scala.compat.StringBuilder

`def` append (x: scala.Int): scala.compat.StringBuilder

`def` append (x: scala.Long): scala.compat.StringBuilder

`def` append (x: scala.Short): scala.compat.StringBuilder

`def` charAt (i: scala.Int): scala.Char

`def` insert (at: scala.Int, x: java.lang.String): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Any): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Array[scala.Char]): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Array[scala.Char], start: scala.Int, length: scala.Int): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Boolean): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Byte): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Char): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Double): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Float): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Int): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Long): scala.compat.StringBuilder

`def` insert (at: scala.Int, x: scala.Short): scala.compat.StringBuilder

`def` length : scala.Int

`def` setCharAt (index: scala.Int, c: scala.Char): scala.Unit

`def` setLength (i: scala.Int): scala.Unit

`override def` toString : java.lang.String